import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "ecb2d34d045debe3aecab9ff60551f17";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: DataTransformExperienceAppSettingsRepresentation, existing: DataTransformExperienceAppSettingsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): DataTransformExperienceAppSettingsRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: DataTransformExperienceAppSettingsRepresentationNormalized, incoming: DataTransformExperienceAppSettingsRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: DataTransformExperienceAppSettingsRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * User App settings for Data Transform Experience
 *
 * Keys:
 *    (none)
 */
export interface DataTransformExperienceAppSettingsRepresentationNormalized {
    /** Locale for formatters */
    formattersLocale: string;
    /** Field mappings */
    isFileRecoveryEnabled: boolean;
    /** Whether to show recommendations to user */
    isRecommendationsEnabled: boolean;
    /** Whether telemetry is enabled */
    isTelemetryEnabled: boolean;
    /** Maximum number of concurrent sessions that the user can have */
    maxConcurrentSessionPerUser: number;
    /** Maximum number of rows that can be sampled */
    samplingMaxRowLimit: number;
    /** Locale for text */
    textLocale: string;
}
/**
 * User App settings for Data Transform Experience
 *
 * Keys:
 *    (none)
 */
export interface DataTransformExperienceAppSettingsRepresentation {
    formattersLocale: string;
    isFileRecoveryEnabled: boolean;
    isRecommendationsEnabled: boolean;
    isTelemetryEnabled: boolean;
    maxConcurrentSessionPerUser: number;
    samplingMaxRowLimit: number;
    textLocale: string;
}
